package com.ekexiu.project.bridge.collect;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

@PrimaryKey({"ctime","seq","did","cid"})
@Table(descp="监控历史数据")
public class WaveDataItem {
	private String ctime;
	private String seq;
	private int did;
	private int cid;
	private int hvalue;
	private int lvalue;
	private String htime;
	private String ltime;
	
	
	@Column(descp="采集服务器内部编号",value=DE.text_de)
	public String getSeq() {
		return seq;
	}
	public void setSeq(String seq) {
		this.seq = seq;
	}
	@Column(descp="上传时间（YYYYMMDDHH24MISS",value=DE.text_de)
	public String getCtime() {
		return ctime;
	}
	public void setCtime(String ctime) {
		this.ctime = ctime;
	}
	@Column(descp="采集盒内部编号",value=DE.int_de)
	public int getDid() {
		return did;
	}
	public void setDid(int did) {
		this.did = did;
	}
	@Column(descp="传感器内部编号",value=DE.int_de)
	public int getCid() {
		return cid;
	}
	public void setCid(int cid) {
		this.cid = cid;
	}
	@Column(descp="一秒内最大幅度值",value=DE.int_de)
	public int getHvalue() {
		return hvalue;
	}
	public void setHvalue(int hvalue) {
		this.hvalue = hvalue;
	}
	@Column(descp="一秒内最小幅度值",value=DE.int_de)
	public int getLvalue() {
		return lvalue;
	}
	public void setLvalue(int lvalue) {
		this.lvalue = lvalue;
	}
	@Column(descp="一秒内最大幅度值时间（YYYYMMDDHH24MISS.zzz）",value=DE.text_de)
	public String getHtime() {
		return htime;
	}
	public void setHtime(String htime) {
		this.htime = htime;
	}
	@Column(descp="一秒内最小幅度值时间（YYYYMMDDHH24MISS.zzz）",value=DE.text_de)
	public String getLtime() {
		return ltime;
	}
	public void setLtime(String ltime) {
		this.ltime = ltime;
	}
	
}
